Bug 196541 - rrdtool-perl-1.2.13-3.fc4 deinstalled by update (perl-rrdtool)
rrdtool-perl-1.2.13-3.fc4 deinstalled by update (perl-rrdtool)
Product: Fedora
Classification: Fedora
Component: rrdtool (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
: 196543 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-06-24 05:02 EDT by Bernhard Weisshuhn
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-24 17:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Weisshuhn 2006-06-24 05:02:47 EDT
The newly renamed rrdtool-prtl provides the old perl-rrdtool.
Yet somehow both "yum update" and "apt-get dist-upgrade" will uninstall it in
the next update because of a missing dependency for perl-rrdtool-1.2.13-2.fc4.

I could not find a direct dependency, my guess is that rrdtool-perl obsoletes
perl-rrdtool <= 1.2.13-3 (as oposed to only '<') and thus obsoletes its own provide.
Comment 1 Bernhard Weisshuhn 2006-06-24 05:04:42 EDT
Please excuse my mistyped 'perl' as 'prtl' and other typos, need coffee.
Comment 2 Jarod Wilson 2006-06-24 17:27:28 EDT
Close on the dep fun, it was actually that both perl-rrdtool and rrdtool-perl
had 'Obsoletes: <the other one> <= %{version}', so the obsolete each other in a
vicious circle if they're both in the repo. The newer packages (rrdtool-perl)
needs to be changed to 'Obsoletes: perl-rrdtool < %{version}-%{release}. I'll
fix that shortly, though the problem should be gone anyway, as the *-rrdtool
packages should have been removed from the repo by now.
Comment 3 Jarod Wilson 2006-06-24 17:32:32 EDT
*** Bug 196543 has been marked as a duplicate of this bug. ***
Comment 4 Jarod Wilson 2006-06-24 17:33:48 EDT
Hrm, actually, to fully fix it, it would have to be changed in the *-rrdtool
packages too. My changing the newer packages wouldn't make a difference if the
old ones were still in the repo, as they'd still try to obsolete the newer ones.
Yanking the old ones from the repo should be the ticket, and I'll update the
packages just the same, so that if sometime down the line the name gets flipped
again, this can't happen. :)
Comment 5 Bernhard Weisshuhn 2006-06-26 05:33:04 EDT
With the old packages gone, the install survives an update now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.